curl --request POST \
--url https://sandbox.tight.com/v6/reports/t2125 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"year": 2025,
"taxSetup": {
"countryCode": "USA",
"state": "DC",
"filingStatus": {
"federal": "SINGLE",
"state": "SINGLE"
},
"annualW2Income": 1000000,
"withholding": {
"useWithholding": true,
"federalWithholding": 100051,
"stateWithholding": 100051
},
"numExemptions": 1,
"tipIncome": 500000,
"overtimeIncome": 300000,
"homeOffice": {
"useHomeOfficeDeduction": true,
"homeOfficeArea": 250.5
},
"mileage": {
"useEstimate": true,
"estimate": 1000,
"useMileageDeduction": false,
"vehicleBusinessPercent": "49.9"
},
"expenses": {
"useEstimate": true,
"estimate": 55176
},
"income": {
"useEstimate": true,
"estimate": 55176
},
"isSetupComplete": true
}
}
'